Creates a login token

POST
https://api.datawrapper.de/v3/auth/login-tokens

Creates a new login token to authenticate a user, for use in CMS integrations. Login tokens are valid for five minutes and can only be used once.

Example Request

curl --request POST \
  --url https://api.datawrapper.de/v3/auth/login-tokens \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "chartId": "string",
  "step": "edit"
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Request Body

FieldTypeAllowed valuesRequiredDescription
chartIdstring
5 characters
YesA chart ID.
stepstringedit, upload, describe, visualize, publish, basemap, data, markers, design, annotateor preview
Default: edit
NoAn edit step in the chart editor.